vmware-server 1.0.4-1gutsy2 in Ubuntu, installazione dai repo?



E’ di pochi giorni fa l’aggiunta nei repositories di ubuntu della versione 1.0.4 di vmware-server che viene allineata quindi alla versione disponibile in formato .tar.gz.

Se vogliamo accedere ai ‘repo’ dobbiamo attivare in /etc/apt/sources.list la sezione partner:
## Uncomment the following two lines to add software from Canonical's
## 'partner' repository. This software is not part of Ubuntu, but is
## offered by Canonical and the respective vendors as a service to Ubuntu
## users.

deb http://archive.canonical.com/ubuntu gutsy partner
deb-src http://archive.canonical.com/ubuntu gutsy partner



per cui dopo aver aggiornato il db dei pacchetti con “sudo apt-get update”, possiamo verificare la presenza e la descrizione con apt-cache:

$ apt-cache show vmware-server


Package: vmware-server
Priority: optional
Section: partner/misc
Installed-Size: 127592
Maintainer: VMware Build Team
Architecture: i386
Version: 1.0.4-1gutsy2
Depends: netbase, xinetd | netkit-inetd | inetd, update-inetd, vmware-server-kernel-modules, psmisc, libart-2.0-2 (>= 2.3.16), libatk1.0-0 (>= 1.9.0), libc6 (>= 2.3.4-1), libexpat1 (>= 1.95.8), libfontconfig1 (>= 2.3.0), libfreetype6 (>= 2.1.5-1), libgcc1 (>= 1:4.0.1), libglib2.0-0 (>= 2.8.0), libgtk2.0-0 (>= 2.8.0), libice6, libjpeg62, libpango1.0-0 (>= 1.10.1), libpng12-0 (>= 1.2.8rel), librsvg2-2 (>= 2.9.5), librsvg2-common (>= 2.9.5), libsm6, libstdc++5 (>= 1:3.3.4-1), libx11-6, libxext6, libxft2 (>> 2.1.1), libxi6, libxml2 (>= 2.6.20), libxrender1, libxt6, libxtst6, zlib1g (>= 1:1.2.1)
Pre-Depends: debconf (>= 0.5) | debconf-2.0
Conflicts: vmware-player, libdbus-1-2
Filename: pool/partner/v/vmware-server/vmware-server_1.0.4-1gutsy2_i386.deb
Size: 79431854
MD5sum: de77d7065d8981bb0ad30d33ca29bfb6
SHA1: 496940ca23987fd9541e04f81b58c64637942572
SHA256: 7657177ef2d9b983c3f960a3c9c1f161e24088b865ab366ef37ea10c9e97e528
Description: Free virtual machine server from VMware
The free VMware Server lets you run pre-built virtual machines on
your desktop. You can run multiple operating systems side-by-side,
easing the process of software development, testing, and evaluation.
.
Virtual machines developed in VMware Workstation or ESX Server can
be run in VMware Server.
.
To run the VMware Server Console, just run /usr/bin/vmware from within X.
.
Note: You will also need the VMware Server kernel modules to run vmware.
These can be built from source from vmware-server -kernel-source, or you
can install a pre-built vmware-server-kernel-modules package for your kernel.
Bugs: mailto:ubuntu-users@lists.ubuntu.com
Origin: Ubuntu

Purtroppo esiste qualche baco già segnalato su launchpad. L’installazione da me provata, effettuata con questa (lunga) procedura, è filata liscia su ubuntu gutsy appena installata, mentre su altri due computer non è stato possibile terminare l’installazione del pacchetto deb, il quale rimane nello stato iF:

$ sudo apt-get install vmware-server

Lettura della lista dei pacchetti in corso... Fatto

Generazione dell'albero delle dipendenze in corso

Reading state information... Fatto

I seguenti pacchetti verranno inoltre installati:

vmware-server-kernel-modules vmware-server-kernel-modules-2.6.22-14

I seguenti pacchetti NUOVI (NEW) saranno installati:

vmware-server vmware-server-kernel-modules vmware-server-kernel-modules-2.6.22-14

0 aggiornati, 3 installati, 0 da rimuovere e 2 non aggiornati.

È necessario prendere 0B/80,6MB di archivi.

Dopo l'estrazione, verranno occupati 134MB di spazio su disco.

Continuare [S/n]? s

Preconfigurazione dei pacchetti in corso

Selezionato il pacchetto vmware-server-kernel-modules-2.6.22-14, che non lo era.

(Lettura del database ... 147730 file e directory attualmente installati.)

Spacchetto vmware-server-kernel-modules-2.6.22-14 (da .../vmware-server-kernel-modules-2.6.22-14_2.6.22.0-1_i386.deb) ...

Selezionato il pacchetto vmware-server-kernel-modules, che non lo era.

Spacchetto vmware-server-kernel-modules (da .../vmware-server-kernel-modules_2.6.22.0-1_i386.deb) ...

Spacchetto vmware-server (da .../vmware-server_1.0.4-1gutsy2_i386.deb) ...

Configuro vmware-server-kernel-modules-2.6.22-14 (2.6.22.0-1) ... Configuro vmware-server-kernel-modules (2.6.22.0-1) ...

Configuro vmware-server (1.0.4-1gutsy2) ...
--------- IMPORTANT INFORMATION FOR XINETD USERS ----------
The following line will be added to your /etc/inetd.conf file:
902 stream tcp nowait root /usr/sbin/vmware-authd vmware-authd
If you are indeed using xinetd, you will have to convert the
above into /etc/xinetd.conf format, and add it manually. See
/usr/share/doc/xinetd/README.Debian for more information.

-----------------------------------------------------------
Making sure services for VMware Server are stopped.
Stopping VMware services:
Virtual machine monitor done
Do you want networking for your virtual machines? (yes/no/help) [yes]
Configuring a bridged network for vmnet0.
The following bridged networks have been defined:
. vmnet0 is bridged to eth0
All your ethernet interfaces are already bridged.
Do you want to be able to use NAT networking in your virtual machines? (yes/no)
[yes]

Configuring a NAT network for vmnet8.
Do you want this program to probe for an unused private subnet? (yes/no/help) [yes]
Probing for an unused private subnet (this can take some time)...
We were unable to locate an unused Class C subnet in the range of private
network numbers. For each subnet that we tried we received a response to our
ICMP ping packets from a host at the network address intended for assignment to
this machine. Because no private subnet appears to be unused you will need to
explicitly specify a network number by hand.

What will be the IP address of your host on the private network?
The answer "" is invalid. It must be of the form a.b.c.d where a, b, c and d
are decimal numbers between 0 and 255.
Invalid default answer!
Execution aborted.
dpkg: errore processando vmware-server (--configure):

il sottoprocesso post-installation script ha restituito un codice di errore 1
Sono occorsi degli errori processando:
vmware-server
E: Sub-process /usr/bin/dpkg returned an error code (1)

Tra l’altro non esiste vmware-config.pl che permetterebbe di compilare vmmon e vmnet, ma, visto che è un pacchetto deb, occorre ricorrere a:

$ sudo dpkg-reconfigure vmware-server

Per avere il pacchetto funzionante, ma non configurato (!) , al momento è sufficiente riconfigurare la rete, passandi i parametri (172.16.x.x) “a mano” con:

$ sudo vmware-config-network.pl

Making sure services for VMware Server are stopped. Stopping VMware services: Virtual machine monitor done Bridged networking on /dev/vmnet0 done Virtual ethernet done You have already setup networking.

Would you like to skip networking setup and keep your old settings as they are? (yes/no) [yes] no

Do you want networking for your virtual machines? (yes/no/help) [yes]

Would you prefer to modify your existing networking configuration using the wizard or the editor? (wizard/editor/help) [wizard]
The following bridged networks have been defined:
. vmnet0 is bridged to eth0
All your ethernet interfaces are already bridged.
Do you want to be able to use NAT networking in your virtual machines? (yes/no) [yes]

Configuring a NAT network for vmnet8.

Do you want this program to probe for an unused private subnet? (yes/no/help) [yes]
Probing for an unused private subnet (this can take some time)...
We were unable to locate an unused Class C subnet in the range of private network numbers. For each subnet that we tried we received a response to our ICMP ping packets from a host at the network address intended for assignment to this machine. Because no private subnet appears to be unused you will need to explicitly specify a network number by hand.

What will be the IP address of your host on the private network?
The answer "" is invalid. It must be of the form a.b.c.d where a, b, c and d are decimal numbers between 0 and 255.

What will be the IP address of your host on the private network? 172.16.1.11
What will be the netmask of your private network? 255.255.255.0
The following NAT networks have been defined:

. vmnet8 is a NAT network on private subnet 172.16.1.0.
Do you wish to configure another NAT network? (yes/no) [no]
Do you want to be able to use host-only networking in your virtual machines? [yes]
Configuring a host-only network for vmnet1.
Do you want this program to probe for an unused private subnet? (yes/no/help) [yes]
Probing for an unused private subnet (this can take some time)...
We were unable to locate an unused Class C subnet in the range of private network numbers. For each subnet that we tried we received a response to our ICMP ping packets from a host at the network address intended for assignment to this machine. Because no private subnet appears to be unused you will need to explicitly specify a network number by hand.

What will be the IP address of your host on the private network? 172.16.22.1
What will be the netmask of your private network? 255.255.255.0
The following host-only networks have been defined:
. vmnet1 is a host-only network on private subnet 172.16.22.0.
Do you wish to configure another host-only network? (yes/no) [no]
Generating SSL Server Certificate
Starting VMware services: Virtual machine monitor done Virtual ethernet done Bridged networking on /dev/vmnet0 done Host-only networking on /dev/vmnet1 (background) done Host-only networking on /dev/vmnet8 (background done NAT service on /dev/vmnet8 done

Una volta installato ci potremmo ritrovare i pacchetti:
$ dpkg -l|grep vmware
iF vmware-server 1.0.4-1gutsy2
Free virtual machine server from VMware

ii vmware-server-kernel-modules 2.6.22.0-1
vmware-server kernel module dependency packa

ii vmware-server-kernel-modules-2.6.22-14 2.6.22.0-1
vmware-server modules for Linux (kernel 2.6.

Il punto interrogativo nel titolo è eloquente, forse è meglio rimanere con il file .tar.gz?
In fondo il prodotto è identico ;)

Ecco due schermate di Ubuntu Hardy virtualizzata:

About these ads

Info Antonio Doldo
www.toolinux.it - www.virtualboxes.org - adoldo.wordpress.com - Linux user & Android fan

4 Responses to vmware-server 1.0.4-1gutsy2 in Ubuntu, installazione dai repo?

  1. offender scrive:

    Ma…e il player?

  2. Antonio Doldo scrive:

    @offender
    il player è stato rimosso, vedi:
    https://bugs.launchpad.net/ubuntu/gutsy/+source/vmware-player/+bug/151424
    è possibile installarlo dai repo ppa il link è
    http://dagus.org/2007/10/24/vmware-player-in-ubuntu-gutsy/
    riporto:
    vmware-player in ubuntu gutsy

    For those looking for vmware-player in the last version of ubuntu, you wont find it it was removed.

    But you can install it from a ppa repo.

    Add these lines to your /etc/apt/sources.list

    deb http://ppa.launchpad.net/cschieli/ubuntu gutsy main restricted universe multiverse
    deb-src http://ppa.launchpad.net/cschieli/ubuntu gutsy main restricted universe multiverse

    Then update,

    sudo aptitude update

    Finally, install

    sudo aptitude install vmware-player

    After installation you will probably want to comment that repo.

    però se posso aggiungere la mia opinione il server è anche un player ;)
    Ciao,
    Antonio

  3. akplm scrive:

    CIAO HO SEGUITO I PROCEDIMENTI. MA L’INSTALLAZIONE SEMBRA ANDATA MALE. AGGIORNATI I REPOSITORY E INSTALLATO VMWARE, IL PROCESSO NON SEMBRA TERMINATO: MI APPARE LA SCHERMATA DOVE MI RICHIEDE LA KEY O CODICE!!!

    A QUESTO PUNTO KIEDO,…COME POSSO DISINSTALLARE TUTTO? E RIPROVARER PIU ATTENTAMENTE?

  4. Antonio Doldo scrive:

    @akplm
    Ti conviene rimuovere il pacchetto deb e usare il file .tar.gz come dicevo nel post.
    Per rimuovere completamente devi usare
    apt-get – - remove – - purge vmware-server

    mentre il numero di serie (o i numeri) è d’obbligo e si può ottenere dal sito di vmware previa registrazione
    Ti consiglio la lettura del post:
    http://adoldo.wordpress.com/2007/09/20/vmware-server-104-build-56528-installazioneaggiornamento/
    e del commento:
    http://adoldo.wordpress.com/2007/05/10/ubuntu-repository-vmware-server-available-for-ubuntu-installazione-su-feisty-704/#comment-2323

    Ciao,
    Antonio
    PS: se puoi evita il MAIUSCOLO, grazie.

Rispondi

Effettua il login con uno di questi metodi per inviare il tuo commento:

Logo WordPress.com

Stai commentando usando il tuo account WordPress.com. Chiudi sessione / Modifica )

Foto Twitter

Stai commentando usando il tuo account Twitter. Chiudi sessione / Modifica )

Foto di Facebook

Stai commentando usando il tuo account Facebook. Chiudi sessione / Modifica )

Google+ photo

Stai commentando usando il tuo account Google+. Chiudi sessione / Modifica )

Connessione a %s...

blogtopsites.com

..:: Statistiche del Blog ::..

  • 828,177 Pagine viste
Iscriviti

Ricevi al tuo indirizzo email tutti i nuovi post del sito.

%d blogger cliccano Mi Piace per questo: